import { INextBikeTransformationResult } from "#ie/NextbikeSharedBikesWorker";
import { NEXTBIKE_INTEGRATION_DATE } from "#ie/transformations/Nextbike";

export const nextbikeTransformedDataFixture: INextBikeTransformationResult = {
    systemInformation: [
        {
            operator_id: "nextbike_tg",
            system_id: "dc9fb740-4c58-55ac-bbd1-bc76380fa3c0",
            language: "cs",
            logo: "https://upload.wikimedia.org/wikipedia/commons/f/f3/Nextbike_Logo.svg",
            name: "Nextbike Praha",
            short_name: null,
            operator: "nextbike Czech Republic, Libusina 526/101, 779 00 Olomouc",
            url: "https://www.nextbikeczech.com/",
            purchase_url: null,
            start_date: new Date(NEXTBIKE_INTEGRATION_DATE),
            phone_number: "+420 5816 52047",
            email: "servis@nextbikeczech.com",
            feed_contact_email: null,
            timezone: "Europe/Berlin",
            license_id: "CC0-1.0",
            license_url: null,
            attribution_organization_name: null,
            attribution_url: null,
            terms_of_use_url: "https://www.nextbikeczech.com/vseobecne-obchodni-podminky/",
            rental_app_id: "17dbff1f-f98d-583d-94c6-ad76bc081437",
        },
    ],
    bikeStatus: [
        {
            id: "nextbike-7P2KY1bp5Xg04W7vCek8pYgZRWMydl4B",
            system_id: "dc9fb740-4c58-55ac-bbd1-bc76380fa3c0",
            point: {
                type: "Point",
                coordinates: [14.45876, 50.06821],
            },
            helmets: null,
            passengers: null,
            damage_description: null,
            description: null,
            vehicle_registration: null,
            is_reserved: false,
            is_disabled: false,
            vehicle_type_id: "nextbike-bike-198",
            last_reported: "2022-06-17T10:12:45.000Z",
            current_range_meters: null,
            charge_percent: null,
            rental_app_id: "d0bac98a-616f-5e73-b206-11e5dd1107e2",
            station_id: "nextbike-27581946",
            pricing_plan_id: "nextbike-TestId-Rate0337",
            make: null,
            model: null,
            color: null,
            processed_at: new Date("2023-10-31T11:40:00+02:00"),
        },
        {
            id: "nextbike-18WeyKXB25Dla2ZXfJN7oQnq0lVJ3ZbY",
            system_id: "dc9fb740-4c58-55ac-bbd1-bc76380fa3c0",
            point: {
                type: "Point",
                coordinates: [14.4514, 50.07011],
            },
            helmets: null,
            passengers: null,
            damage_description: null,
            description: null,
            vehicle_registration: null,
            is_reserved: false,
            is_disabled: false,
            vehicle_type_id: "nextbike-bike-198",
            last_reported: "2022-06-17T10:12:45.000Z",
            current_range_meters: null,
            charge_percent: null,
            rental_app_id: "cc95b1ee-9360-5f41-ae12-3f226177a54f",
            station_id: "nextbike-27582066",
            pricing_plan_id: "nextbike-TestId-Rate0337",
            make: null,
            model: null,
            color: null,
            processed_at: new Date("2023-10-31T11:40:00+02:00"),
        },
        {
            id: "nextbike-dX4j0WyGopDEdvmafO2QKQgKewY9qRNJ",
            system_id: "dc9fb740-4c58-55ac-bbd1-bc76380fa3c0",
            point: {
                type: "Point",
                coordinates: [14.653858, 49.991658],
            },
            helmets: null,
            passengers: null,
            damage_description: null,
            description: null,
            vehicle_registration: null,
            is_reserved: false,
            is_disabled: false,
            vehicle_type_id: "nextbike-bike-198",
            last_reported: "2022-06-17T10:12:45.000Z",
            current_range_meters: null,
            charge_percent: null,
            rental_app_id: "e92890e6-9c75-5a26-b6f6-79aa5d0d34de",
            station_id: null,
            pricing_plan_id: "nextbike-TestId-Rate0337",
            make: null,
            model: null,
            color: null,
            processed_at: new Date("2023-10-31T11:40:00+02:00"),
        },
        {
            id: "nextbike-1P2KY1bp5Xg04W7vCek8pYgZRWMydl4B",
            system_id: "dc9fb740-4c58-55ac-bbd1-bc76380fa3c0",
            point: {
                type: "Point",
                coordinates: [14.45876, 50.06821],
            },
            helmets: null,
            passengers: null,
            damage_description: null,
            description: null,
            vehicle_registration: null,
            is_reserved: false,
            is_disabled: false,
            vehicle_type_id: "nextbike-bike-198",
            last_reported: "2022-06-17T10:12:45.000Z",
            current_range_meters: null,
            charge_percent: null,
            rental_app_id: "d0bac98a-616f-5e73-b206-11e5dd1107e2",
            station_id: "nextbike-27581946",
            pricing_plan_id: "nextbike-TestId-Rate0337",
            make: null,
            model: null,
            color: null,
            processed_at: new Date("2023-10-31T11:40:00+02:00"),
        },
        {
            id: "nextbike-2P2KY1bp5Xg04W7vCek8pYgZRWMydl4B",
            system_id: "dc9fb740-4c58-55ac-bbd1-bc76380fa3c0",
            point: {
                type: "Point",
                coordinates: [14.45876, 50.06821],
            },
            helmets: null,
            passengers: null,
            damage_description: null,
            description: null,
            vehicle_registration: null,
            is_reserved: false,
            is_disabled: false,
            vehicle_type_id: "nextbike-bike-199",
            last_reported: "2022-06-17T10:12:45.000Z",
            current_range_meters: null,
            charge_percent: null,
            rental_app_id: "d0bac98a-616f-5e73-b206-11e5dd1107e2",
            station_id: "nextbike-27581946",
            pricing_plan_id: "nextbike-TestId-Rate0337",
            make: null,
            model: null,
            color: null,
            processed_at: new Date("2023-10-31T11:40:00+02:00"),
        },
        {
            id: "nextbike-3P2KY1bp5Xg04W7vCek8pYgZRWMydl4B",
            system_id: "dc9fb740-4c58-55ac-bbd1-bc76380fa3c0",
            point: {
                type: "Point",
                coordinates: [14.45876, 50.06821],
            },
            helmets: null,
            passengers: null,
            damage_description: null,
            description: null,
            vehicle_registration: null,
            is_reserved: false,
            is_disabled: false,
            vehicle_type_id: "nextbike-bike-198",
            last_reported: "2022-06-17T10:12:45.000Z",
            current_range_meters: null,
            charge_percent: null,
            rental_app_id: "d0bac98a-616f-5e73-b206-11e5dd1107e2",
            station_id: "nextbike-27581946",
            pricing_plan_id: "nextbike-TestId-Rate0337",
            make: null,
            model: null,
            color: null,
            processed_at: new Date("2023-10-31T11:40:00+02:00"),
        },
        {
            id: "nextbike-4P2KY1bp5Xg04W7vCek8pYgZRWMydl4B",
            system_id: "dc9fb740-4c58-55ac-bbd1-bc76380fa3c0",
            point: {
                type: "Point",
                coordinates: [14.45876, 50.06821],
            },
            helmets: null,
            passengers: null,
            damage_description: null,
            description: null,
            vehicle_registration: null,
            is_reserved: false,
            is_disabled: false,
            vehicle_type_id: "nextbike-bike-199",
            last_reported: "2022-06-17T10:12:45.000Z",
            current_range_meters: null,
            charge_percent: null,
            rental_app_id: "d0bac98a-616f-5e73-b206-11e5dd1107e2",
            station_id: "nextbike-27581946",
            pricing_plan_id: "nextbike-TestId-Rate0337",
            make: null,
            model: null,
            color: null,
            processed_at: new Date("2023-10-31T11:40:00+02:00"),
        },
    ],
    stationInformation: [
        {
            id: "nextbike-27581946",
            system_id: "dc9fb740-4c58-55ac-bbd1-bc76380fa3c0",
            name: "P10-Čechovo náměstí",
            short_name: "46007",
            point: {
                type: "Point",
                coordinates: [14.45876, 50.06821],
            },
            address: null,
            post_code: null,
            cross_street: null,
            region_id: "661",
            rental_methods: null,
            is_virtual_station: false,
            station_area: null,
            capacity: 10,
            vehicle_capacity: null,
            vehicle_type_capacity: null,
            is_valet_station: null,
            rental_app_id: "d0bac98a-616f-5e73-b206-11e5dd1107e2",
            processed_at: new Date("2023-10-31T11:40:00+02:00"),
        },
        {
            id: "nextbike-27582066",
            system_id: "dc9fb740-4c58-55ac-bbd1-bc76380fa3c0",
            name: "P10-Moskevská U TRAMTARIE",
            short_name: "46011",
            point: {
                type: "Point",
                coordinates: [14.4514, 50.07011],
            },
            address: null,
            post_code: null,
            cross_street: null,
            region_id: "661",
            rental_methods: null,
            is_virtual_station: false,
            station_area: null,
            capacity: 10,
            vehicle_capacity: null,
            vehicle_type_capacity: null,
            is_valet_station: null,
            rental_app_id: "cc95b1ee-9360-5f41-ae12-3f226177a54f",
            processed_at: new Date("2023-10-31T11:40:00+02:00"),
        },
    ],
    stationStatus: [
        {
            station_id: "nextbike-27581946",
            num_bikes_available: 4,
            num_bikes_disabled: null,
            num_docks_available: 6,
            is_installed: true,
            is_renting: true,
            is_returning: true,
            last_reported: "2022-06-17T10:12:45.000Z",
            processed_at: new Date("2023-10-31T11:40:00+02:00"),
        },
        {
            station_id: "nextbike-27582066",
            num_bikes_available: 3,
            num_bikes_disabled: null,
            num_docks_available: 7,
            is_installed: true,
            is_renting: true,
            is_returning: true,
            last_reported: "2022-06-17T10:12:45.000Z",
            processed_at: new Date("2023-10-31T11:40:00+02:00"),
        },
    ],
    stationStatusVehicleType: [
        {
            station_id: "nextbike-27581946",
            vehicle_type_id: "nextbike-bike-198",
            count: 3,
            num_bikes_available: 3,
            vehicle_docks_available: 6,
            num_bikes_disabled: null,
            processed_at: new Date("2023-10-31T11:40:00+02:00"),
        },
        {
            station_id: "nextbike-27582066",
            vehicle_type_id: "nextbike-bike-198",
            count: 1,
            num_bikes_available: 1,
            vehicle_docks_available: 7,
            num_bikes_disabled: null,
            processed_at: new Date("2023-10-31T11:40:00+02:00"),
        },
        {
            station_id: "nextbike-27581946",
            vehicle_type_id: "nextbike-bike-199",
            count: 2,
            num_bikes_available: 2,
            vehicle_docks_available: 6,
            num_bikes_disabled: null,
            processed_at: new Date("2023-10-31T11:40:00+02:00"),
        },
    ],
    vehicleTypes: [
        {
            id: "nextbike-bike-198",
            name: "3-rychlostní SMARTbike 2.0.",
            form_factor: "bicycle",
            propulsion_type: "human",
            max_range_meters: null,
        },
        {
            id: "nextbike-bike-199",
            name: "3-rychlostní SMARTbike",
            form_factor: "bicycle",
            propulsion_type: "human",
            max_range_meters: null,
        },
        {
            id: "nextbike-bike-200",
            name: "8-rychlostní SMARTbike",
            form_factor: "bicycle",
            propulsion_type: "human",
            max_range_meters: 10000,
        },
    ],
    pricingPlans: [
        {
            id: "nextbike-TestId-Rate0337",
            system_id: "dc9fb740-4c58-55ac-bbd1-bc76380fa3c0",
            url: "https://www.nextbikeczech.com/kompletni-cenik/",
            last_updated: "2022-06-17T10:13:47.000Z",
            name: "CZK 30/30 min, CZK 300/24h",
            currency: "CZK",
            price: 0,
            is_taxable: false,
            description: "CZK 30/30 min, CZK 300/24h",
            surge_pricing: false,
        },
    ],
    pricings: [
        {
            id: "8b9e79e629eb574f3e1871efd5f541db",
            pricing_plan_id: "nextbike-TestId-Rate0337",
            pricing_type: "per_min_pricing",
            pricing_order: null,
            start: 0,
            rate: 30,
            interval: 30,
            end: 270,
            start_time_of_period: null,
            end_time_of_period: null,
        },
        {
            id: "f2d7d1320d2f4da11aed6e689277c3ee",
            pricing_plan_id: "nextbike-TestId-Rate0337",
            pricing_type: "per_min_pricing",
            pricing_order: null,
            start: 270,
            rate: 30,
            interval: 0,
            end: 1440,
            start_time_of_period: null,
            end_time_of_period: null,
        },
        {
            id: "e885849afbd60fd50539150682adf5d5",
            pricing_plan_id: "nextbike-TestId-Rate0337",
            pricing_type: "per_min_pricing",
            pricing_order: null,
            start: 1440,
            rate: 30,
            interval: 30,
            end: 1710,
            start_time_of_period: null,
            end_time_of_period: null,
        },
        {
            id: "ba81dd76d1f5f9191e91f281586016a2",
            pricing_plan_id: "nextbike-TestId-Rate0337",
            pricing_type: "per_min_pricing",
            pricing_order: null,
            start: 1710,
            rate: 30,
            interval: 0,
            end: 2880,
            start_time_of_period: null,
            end_time_of_period: null,
        },
        {
            id: "a252c8da86f466d5f0dc4447be05913e",
            pricing_plan_id: "nextbike-TestId-Rate0337",
            pricing_type: "per_min_pricing",
            pricing_order: null,
            start: 2880,
            rate: 30,
            interval: 30,
            end: 3150,
            start_time_of_period: null,
            end_time_of_period: null,
        },
        {
            id: "47d297bfe1d90e7cbe4e68d353e2e04e",
            pricing_plan_id: "nextbike-TestId-Rate0337",
            pricing_type: "per_min_pricing",
            pricing_order: null,
            start: 3150,
            rate: 30,
            interval: 0,
            end: 4320,
            start_time_of_period: null,
            end_time_of_period: null,
        },
        {
            id: "4b55a2a2d1af432f84bb183e3d2eefb0",
            pricing_plan_id: "nextbike-TestId-Rate0337",
            pricing_type: "per_min_pricing",
            pricing_order: null,
            start: 4320,
            rate: 30,
            interval: 30,
            end: 4590,
            start_time_of_period: null,
            end_time_of_period: null,
        },
        {
            id: "2039fa908b1f16368a9ca70de8a52188",
            pricing_plan_id: "nextbike-TestId-Rate0337",
            pricing_type: "per_min_pricing",
            pricing_order: null,
            start: 4590,
            rate: 30,
            interval: 0,
            end: 5760,
            start_time_of_period: null,
            end_time_of_period: null,
        },
        {
            id: "124c2f0d22123b91e2abbab4469fd686",
            pricing_plan_id: "nextbike-TestId-Rate0337",
            pricing_type: "per_min_pricing",
            pricing_order: null,
            start: 5760,
            rate: 30,
            interval: 30,
            end: 6030,
            start_time_of_period: null,
            end_time_of_period: null,
        },
        {
            id: "1883a448a15b8d29c56165a26e7eeaac",
            pricing_plan_id: "nextbike-TestId-Rate0337",
            pricing_type: "per_min_pricing",
            pricing_order: null,
            start: 6030,
            rate: 30,
            interval: 0,
            end: 7200,
            start_time_of_period: null,
            end_time_of_period: null,
        },
        {
            id: "779687703c316fe983048a7dea16109c",
            pricing_plan_id: "nextbike-TestId-Rate0337",
            pricing_type: "per_min_pricing",
            pricing_order: null,
            start: 7200,
            rate: 30,
            interval: 30,
            end: 7470,
            start_time_of_period: null,
            end_time_of_period: null,
        },
        {
            id: "a786f58d65f69e5e2a96970a8282a92c",
            pricing_plan_id: "nextbike-TestId-Rate0337",
            pricing_type: "per_min_pricing",
            pricing_order: null,
            start: 7470,
            rate: 30,
            interval: 0,
            end: 8640,
            start_time_of_period: null,
            end_time_of_period: null,
        },
        {
            id: "202b4b669d000860a33c627fa1f19136",
            pricing_plan_id: "nextbike-TestId-Rate0337",
            pricing_type: "per_min_pricing",
            pricing_order: null,
            start: 8640,
            rate: 30,
            interval: 30,
            end: 8910,
            start_time_of_period: null,
            end_time_of_period: null,
        },
        {
            id: "a749a3f989cf3117e87a408bc2722277",
            pricing_plan_id: "nextbike-TestId-Rate0337",
            pricing_type: "per_min_pricing",
            pricing_order: null,
            start: 8910,
            rate: 30,
            interval: 0,
            end: 11520,
            start_time_of_period: null,
            end_time_of_period: null,
        },
        {
            id: "53275241119383da4fef26526ea76067",
            pricing_plan_id: "nextbike-TestId-Rate0337",
            pricing_type: "per_min_pricing",
            pricing_order: null,
            start: 11520,
            rate: 300,
            interval: 1440,
            end: null,
            start_time_of_period: null,
            end_time_of_period: null,
        },
    ],
    rentalApps: [
        {
            id: "d0bac98a-616f-5e73-b206-11e5dd1107e2",
            android_store_url: null,
            android_discovery_url: "https://app.nextbike.net/station?id=27581946",
            ios_store_url: null,
            ios_discovery_url: "https://app.nextbike.net/station?id=27581946",
            web_url: "https://nxtb.it/p/27581946",
        },
        {
            id: "cc95b1ee-9360-5f41-ae12-3f226177a54f",
            android_store_url: null,
            android_discovery_url: "https://app.nextbike.net/station?id=27582066",
            ios_store_url: null,
            ios_discovery_url: "https://app.nextbike.net/station?id=27582066",
            web_url: "https://nxtb.it/p/27582066",
        },
        {
            id: "e92890e6-9c75-5a26-b6f6-79aa5d0d34de",
            android_store_url: null,
            android_discovery_url: "https://app.nextbike.net/station?id=92028189",
            ios_store_url: null,
            ios_discovery_url: "https://app.nextbike.net/station?id=92028189",
            web_url: "https://nxtb.it/p/92028189",
        },
        {
            id: "17dbff1f-f98d-583d-94c6-ad76bc081437",
            android_store_url: "https://play.google.com/store/apps/details?id=de.nextbike",
            android_discovery_url: "https://app.nextbike.net/",
            ios_store_url: "https://apps.apple.com/app/id504288371",
            ios_discovery_url: "nextbike://",
            web_url: null,
        },
    ],
};
